﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Medo.Windows.Forms;


namespace TaskbarProgressSample {
    public partial class MainForm : Form {
        public MainForm() {
            InitializeComponent();
            TaskbarProgress.DefaultOwner = this;
            TaskbarProgress.DoNotThrowNotImplementedException = true; //so it works even on Windows older than 7.
        }

        private int percentage = 0;

        private void buttonStart_Click(object sender, EventArgs e) {
            buttonStart.Enabled = false;
            buttonStop.Enabled = true;
            buttonPause.Enabled = true;
            percentage = 0;
            timerProgress.Enabled = true;
        }

        private void buttonPause_Click(object sender, EventArgs e) {
            if (timerProgress.Enabled) {
                TaskbarProgress.SetState(TaskbarProgressState.Paused);
                timerProgress.Enabled = false;
            } else {
                TaskbarProgress.SetState(TaskbarProgressState.Normal);
                timerProgress.Enabled = true; ;
            }
        }

        private void buttonStop_Click(object sender, EventArgs e) {
            buttonStart.Enabled = true;
            buttonStop.Enabled = false;
            buttonPause.Enabled = false;
            timerProgress.Enabled = false;
            TaskbarProgress.SetState(TaskbarProgressState.NoProgress);
        }


        private void timerProgress_Tick(object sender, EventArgs e) {
            percentage += 1;
            TaskbarProgress.SetPercentage(percentage);
            if (percentage >= 100) {
                buttonStop_Click(null, null); //just to call same code as normal stop
            }
        }

    }
}
